System Requirements

  • Students at all campuses other than Muncie and Indianapolis will use their personal laptop computers to take many of their exams in SofTest during their first and second years of medical school.
  • Read the IUSM computer requirements carefully before purchasing a computer or deciding which computer to take exams on.
  • SofTest is only compatible with Adobe Reader 9, 11, and Adobe DC.
  • Use Google Chrome 22+ or Firefox 27+ to view the ExamSoft portal: examsoft.com/iusm. Other browsers and browser versions are not supported.
  • Mac OS X 10.6 is no longer supported, and new downloads of SofTest on this operating system are blocked. Please update to at least 10.8 ASAP.
  • If you are using Mac OS X 10.10.5, you will need to use Firefox to download SofTest.

Check this page often for updates.

Top